#! /bin/sh
# chkconfig: 2345 55 25
# Description: Startup script for Nginx webserver on Debian. Placein /etc/init.d and
# run 'update-rc.d -f Nginx defaults',or use the appropriatecommand on your
# distro. For CentOS/Redhat run: 'chkconfig --add Nginx'
### BEGIN INIT INFO
#Provides:Nginx
#required-Start:$all
#required-Stop:$all
#Default-Start:2 3 4 5
#Default-Stop:0 1 6
# Short-Description: starts the Nginx web server
#Description:starts Nginx using start-stop-daemon
### END INIT INFO
# Author: licess
# website: http://lnmp.org
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
NAME=Nginx
Nginx_BIN=/data/apps/Nginx/sbin/$NAME
CONFIGFILE=/data/apps/Nginx/conf/$NAME.conf
PIDFILE=/data/logs/Nginx/$NAME.pid
case "$1" in
start)
echo -n "Starting $NAME... "
if netstat -tnpl | grep -q Nginx;then
echo "$NAME (pid `pidof $NAME`) already running."
exit 1
fi
$Nginx_BIN -c $CONFIGFILE
if [ "$?" != 0 ] ; then
echo " Failed"
exit 1
else
echo " done"
fi
;;
stop)
echo -n "Stoping $NAME... "
if ! netstat -tnpl | grep -q Nginx; then
echo "$NAME is not running."
exit 1
fi
$Nginx_BIN -s stop
if [ "$?" != 0 ] ; then
echo " Failed. Use force-quit"
exit 1
else
echo " done"
fi
;;
status)
if netstat -tnpl | grep -q Nginx; then
PID=`pidof Nginx`
echo "$NAME (pid $PID) is running..."
else
echo "$NAME is stopped"
exit 0
fi
;;
force-quit)
echo -n "Terminating $NAME... "
if ! netstat -tnpl | grep -q Nginx; then
echo "$NAME is not running."
exit 1
fi
kill `pidof $NAME`
if [ "$?" != 0 ] ; then
echo " Failed"
exit 1
else
echo " done"
fi
;;
restart)
$0 stop
sleep 1
$0 start
;;
reload)
echo -n "Reload service $NAME... "
if netstat -tnpl | grep -q Nginx; then
$Nginx_BIN -s reload
echo " done"
else
echo "$NAME is not running,can't reload."
exit 1
fi
;;
configtest)
echo -n "Test $NAME configure files... "
$Nginx_BIN -t
;;
*)
echo "Usage: $0{start|stop|force-quit|restart|reload|status|configtest}"
exit 1
;;
esac
# chmod +x /etc/init.d/Nginx
# sysv-rc-conf
退出按【q】 就行了
上次忘记说了,这次补一下 这个【1\2\3\4\5\0\6\S】启动选项最后有个【 S】的选项,他的意思表示开机后就会运行的服务。
运行级别说明:
S 表示开机后就会运行的服务
0 表示关机
1 表示单用户模式(类似windows的安全模式)
2 表示无网络服务的多用户模式
3 表示多用户模式
4 系统预留(暂没使用)
5 表示多用户图形模式
6 表示重启
打X 表示开启该服务。
上次忘记说了,这次补一下 这个【1\2\3\4\5\0\6\S】启动选项最后有个【 S】的选项,他的意思表示开机后就会运行的服务。
运行级别说明:
S 表示开机后就会运行的服务
0 表示关机
1 表示单用户模式(类似windows的安全模式)
2 表示无网络服务的多用户模式
3 表示多用户模式
4 系统预留(暂没使用)
5 表示多用户图形模式
6 表示重启
打X 表示开启该服务。
sysv-rc-conf Nginx on
sysv-rc-conf Nginx on
转载地址:https://www.cnblogs.com/YangJieCheng/p/5923982.html